# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.04"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("2a00b5ae096a5d56017f1452cc33099f68b814ad711e14f6dc6776f0c478b823")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
